#!/bin/bash

if [ $# -ne 1 ]; then
    echo usa: $(basename $0) statfile
    exit 1
fi

filename=$1
if [ ! -f $filename ]; then
    echo "il file $filename non esiste o non e' un file regolare"
    exit 1
fi

if [ ! -s $filename ]; then
    echo "il file $filename e' vuoto"
    exit 1
fi

COLUMN=16 # posizione nell'array elem

maxconnections=0
sum=0
cnt=0
exec 3< $filename   # apro il file il lettura
while IFS=" " read -u 3 line ; do
    read -r -a elem <<< "$line"    # separo gli elementi della riga line con il separatore IFS
                                   # (vedere man bash "Here Strings") 
    (( sum += ${elem[$COLUMN]} ))
    (( cnt += 1 ))
    if [ ${elem[$COLUMN]} -gt $maxconnections ]; then
        maxconnections=${elem[$COLUMN]}
    fi                  
done

    
echo -n "Il massimo valore in colonna " 
echo -n $((COLUMN + 1)) 
echo " e':  $maxconnections"
echo -n "Il valore medio e': "

echo "--> $sum"
echo "--> $cnt"
avg=$(echo "scale=2; $sum/$cnt" | bc )
echo $avg
exit 0
